# SourcePath: gdk-pixbuf/20191126dev
Summary: gdk-pixbuf: The GdkPixBuf image handling library
Name: sony-target-dev-gdk-pixbuf
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gdk-pixbuf
Version: 2.35.5
Release: 12010001
Source: gdk-pixbuf-%{version}.tar.xz
Patch1: gdk-pixbuf-2.35.5_CVE-2017-2870.patch
Patch2: gdk-pixbuf-2.35.5_CVE-2017-2862-part1.patch
Patch3: gdk-pixbuf-2.35.5_CVE-2017-2862-part2.patch
Patch4: gdk-pixbuf-2.35.5_CVE-2017-6311.patch
Patch5: gdk-pixbuf-2.35.5_CVE-2017-6312.patch
Patch6: gdk-pixbuf-2.35.5_CVE-2017-6313.patch
Patch7: gdk-pixbuf-2.35.5_CVE-2017-6314.patch
Patch8: gdk-pixbuf-2.35.5_CVE-2017-1000422.patch
License: LGPLv2
URL: http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-libpng
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-libjpeg-turbo

%description
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
Clutter.

%package -n %{pkgname}
Summary: gdk-pixbuf: The GdkPixBuf image handling library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
Clutter.

%prep
%setup -n gdk-pixbuf-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%sony_target_dev_setup
[ ! -f objdir ] && mkdir -p objdir ;
cd objdir; 
../configure \
        --host=arm-sony-linux-gnueabi \
        --build=x86_64-pc-linux-gnu \
        --prefix=/usr \
        --includedir=/tool/usr/include \
        --without-libtiff --enable-gio-sniffing=no \
        --with-x11 --without-libtiff --enable-gtk-doc-html=no \
        --with-libpng --with-libjpeg --enable-introspection=no &&
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}//gdk-pixbuf-2.0/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/gdk-pixbuf-*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgdk_pixbuf*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gdk-pixbuf*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Nov 26 2019 Sony Corporation
- Added Security Fix for CVE-2017-2862 CVE-2017-2870 CVE-2017-6311 CVE-2017-6312 CVE-2017-6313 CVE-2017-6314 CVE-2017-1000422

* Tue Mar 20 2018 Sony Corporation
- Version up from 2.30.0 -> 2.35.5.

* Fri Dec 15 2017 Sony Corporation
- Version up from 2.28.2 -> 2.30.0.

* Tue Aug 7 2013 Sony Corporation
- Initial build.
